<?php

namespace Shqawe\ForumJump;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

use XF\Db\Schema\Create;
class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1(array $stepParams = [])
	{
		$this->schemaManager()->createTable('xf_forumjump', function(Create $table)
		{
			$table->addColumn('fj_id', 'int')->autoIncrement();
			$table->addColumn('fj_link_title', 'varchar', 255);
			$table->addColumn('fj_link_url', 'varchar', 255);
			$table->addColumn('fj_link_type', 'int');
			$table->addColumn('fj_link_act', 'int')->setDefault(1);
		});
	}
	
	public function upgrade1010213Step1(array $stepParams = [])
	{
		$this->schemaManager()->createTable('xf_forumjump', function(Create $table)
		{
			$table->addColumn('fj_id', 'int')->autoIncrement();
			$table->addColumn('fj_link_title', 'varchar', 255);
			$table->addColumn('fj_link_url', 'varchar', 255);
			$table->addColumn('fj_link_type', 'int');
			$table->addColumn('fj_link_act', 'int')->setDefault(1);
		});
	}
	
	public function uninstall(array $stepParams = [])
	{
		$this->schemaManager()->dropTable('xf_forumjump');
	}
}